# Legacy reader upgrade (disabled) (/docs/api-reference/api/v1/auth/upgrade/post)

`POST https://mmb-blurware-alpha.vercel.app/api/v1/auth/upgrade`

Legacy reader upgrade (disabled)

The library is free. This legacy endpoint returns library_is_free; new reader checkout sessions are disabled.

Operation ID: `createUpgrade`

OpenAPI document: https://mmb-blurware-alpha.vercel.app/openapi.json

## Authentication

Required bearer token: `Authorization: Bearer $MMB_API_KEY`.

## Request

This operation has no request parameters or body.

## Responses

### `409` — The library is free.

**application/json**

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string",
      "enum": [
        "library_is_free"
      ]
    }
  },
  "required": [
    "error"
  ]
}
```

### `503` — The gateway is unreachable.

**application/json**

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string",
      "enum": [
        "service_unavailable"
      ],
      "description": "Stable machine-readable error code."
    },
    "message": {
      "type": "string",
      "description": "Human-readable summary."
    },
    "hint": {
      "type": "string",
      "description": "Endpoint path that resolves this error, when one exists."
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```